<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_74923e1c0049a84fd0" . "20d96f8ae0645d" => base64_decode("SW5mbw=" . "="), "_bd71c3b5" . "c201fc11d" . "b82ed14ce" . "424de5" => base64_decode("aW5fY" . "XJyYX" . "k="), "_e2670a71b0605345f16f2b7a8edd4" . "a21" => base64_decode("dWNm" . "aXJz" . "dA=="), "_24f5487" . "bd60ba6b" . "30d6285c" . "791a3246" . "0" => base64_decode("c3RyX3" . "BhZA=="), "_a08b13e5439bf1e1258f" . "60e9380f41ae" => base64_decode("RGV0YW" . "ls"), "_0f1083028" . "8c813de185" . "99c12f7669" . "4b3" => base64_decode("RGV" . "idW" . "c="), "_b742a00ae87756" . "f850c77e0daf4e7" . "a3a" => base64_decode("Cg=" . "="), "_70809333a" . "0f254acf7a" . "1ad0c7dadd" . "46b" => base64_decode("OiA" . "="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_bd71c3b5c201fc11db82ed14ce424" . "de5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e2670a71b0605345f1" . "6f2b7a8edd4a21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_74923e1c0049a84fd020d96f8ae0645" . "d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a08b13e54" . "39bf1e1258" . "f60e9380f4" . "1ae"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0f10830288c813de18599c12f76" . "694b3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_24f5487b" . "d60ba6b30" . "d6285c791" . "a32460"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e2670a71b0605345f16f2b7a" . "8edd4a21"]($prefix), 6) . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_70809333a0f25" . "4acf7a1ad0c7da" . "dd46b"] . $message . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_b742a00ae87756f85" . "0c77e0daf4e7a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}